#include "command.h"
#include "commandimp.h"

using namespace MLS;

void Command::Init()
{
	func["left"]		= &CommandImp::Key_Left;
	func["right"]		= &CommandImp::Key_Right;
	func["up"]			= &CommandImp::Key_Up;
	func["down"]		= &CommandImp::Key_Down;
	func["home"]		= &CommandImp::Key_Home;
	func["end"]			= &CommandImp::Key_End;
	func["pgup"]		= &CommandImp::Key_PageUp;
	func["pgdn"]		= &CommandImp::Key_PageDown;
	func["enter"]		= &CommandImp::Key_Enter;
	
	func["del"]         = &CommandImp::Remove;
	func["remove"]      = &CommandImp::Remove;
	func["editconfig"]  = &CommandImp::Editconfig;
	func["editcolorset"]= &CommandImp::Editcolorset;
	func["about"]       = &CommandImp::About;
	func["help"]        = &CommandImp::Help;
	func["exit"]        = &CommandImp::Exit;
	func["menu"]        = &CommandImp::Menu;
	func["refresh"]     = &CommandImp::Refresh;
	func["mcd"]         = &CommandImp::Mcd;
	func["copy"]        = &CommandImp::Copy;
	func["move"]        = &CommandImp::Move;
	func["edit"]        = &CommandImp::Edit;
	func["view"]        = &CommandImp::View;
	func["mkdir"]       = &CommandImp::Mkdir;
	func["rename"]      = &CommandImp::Rename;
	
	func["back"]		= &CommandImp::Back;
	func["forward"]		= &CommandImp::Forward;
	
	func["showhidden"]	= &CommandImp::ShowHidden;
	func["select"]      = &CommandImp::Select;
	func["viewscreen"]	= &CommandImp::ViewScreen;
	func["shell"]		= &CommandImp::Shell;
}

Command::Command() : _imp(new CommandImp)
{
}

Command::~ Command( )
{
	delete _imp;
}

void Command::SetPanel(Panel *p)
{
	_imp->SetPanel(p);
}
int Command::Execute( const std::string & str )
{
	if (str.empty()) return 0;
	
	if (*str.begin() == '<' && *(str.end()-1) == '>')
	{//  < > 로 둘러쌓인 문자열에 대해서.	
		FuncMap::iterator i;
		
		if ((i = func.find(str.substr(1, str.size()-2))) != func.end())
		{
			(_imp->*((*i).second))();
		}
		else
		{
			MsgBox(COLOR_RED, "에러", "요청하신 커맨드가 없습니다 : %s", str.c_str());
		}
	}
	else
	{// 일반적 문자열 처리 ( 실행 )
		return ParseAndRun(str);

	}	
	return 0;
}

int MLS::Command::Run( const std::string &str, bool bPause)
{
	_imp->Run(str, bPause);
}

int MLS::Command::ParseAndRun( const std::string & str )
{
	_imp->ParseAndRun(str);
}
