/**
 * @file	mainframe.h
 * @brief	mainframe header file
 * @author	la9527
 * @date	2004-08-22
 */
#ifndef MLSMAINFRAME_H
#define MLSMAINFRAME_H

#include "panel.h"
#include "mcd.h"
#include "command.h"

namespace MLS {
/**
	@brief	MainFrame 클래스

	Panel들을 관리한다.
*/
class MainFrame
{
private:
	Panel   	tPanel[2];
	Command     tCommand;
	
	Menu    	tMenu;
	KeyBind 	tKeybind;
	Config  	tConfig;
	
	bool        bExit,
				bSplit;   /// < 창나누기인가 아닌가.

	int			nActive;  /// < Active한 창을 가리킨다 0, 1
	
	WINDOW 		*win0, *win1, *win2;

public:
	MainFrame();
	~MainFrame();
	
	void 	Do();
	void    Draw();
	void	SetSplitWindow();
	void    Exit() { bExit = true; }
	
	friend class CommandImp;
	friend class Menu;
	friend class Panel;
};

extern MainFrame *g_MainFrame;

};

#endif
