///	@file	mlslocale.cpp
///	@brief	mlslocale.cpp
#include <ncurses.h>
#include "mlslocale.h"

chtype MLS::HLINE=ACS_HLINE;		///< 가로 그래픽 문자 '-'
chtype MLS::VLINE=ACS_VLINE;		///< 세로 그래픽 문자 '|'
chtype MLS::ULCORNER=ACS_ULCORNER;	///< 왼쪽 위 사각 귀뚱이 그래픽 문자
chtype MLS::LLCORNER=ACS_LLCORNER;	///< 왼쪽 아래 사각 귀뚱이 그래픽 문자
chtype MLS::URCORNER=ACS_URCORNER;	///< 오른쪽 위 사각 귀뚱이 그래픽 문자
chtype MLS::LRCORNER=ACS_LRCORNER;	///< 오른쪽 아래 사각 귀뚱이 그래픽 문자
chtype MLS::LTEE=ACS_LTEE;			///< ?????
chtype MLS::RTEE=ACS_RTEE;			///< ?????
chtype MLS::BTEE=ACS_BTEE;			///< 'ㅗ'그래픽 문자
chtype MLS::TTEE=ACS_TTEE;			///< 'ㅜ'그래픽 문자

/// @brief	Locale을 설정하는 함수
///
/// locale에 따라 그래픽 문자들을 초기화 한다.
///
/// @param e	LOCALE
void MLS::set_locale(MLS::ENCODING e)
{
	
	switch(e)
	{
	case KO:
		HLINE='-';
		VLINE='|';
		ULCORNER='+';
		LLCORNER='+';
		URCORNER='+';
		LRCORNER='+';
		LTEE='+';
		RTEE='+';
		BTEE='+';
		TTEE='+';			
		break;
		
	case US:		
	default:
		HLINE=ACS_HLINE;
		VLINE=ACS_VLINE;
		ULCORNER=ACS_ULCORNER;
		LLCORNER=ACS_LLCORNER;
		URCORNER=ACS_URCORNER;
		LRCORNER=ACS_LRCORNER;
		LTEE=ACS_LTEE;
		RTEE=ACS_RTEE;
		BTEE=ACS_BTEE;
		TTEE=ACS_TTEE;	
	}	
}
